<?php

session_name("SIGNADMAUTH");
session_start();

include "common/config/config.php";
include "common/config/dbconfig.php";
include "common/functions/funcconnect.php";
openDB();

include "common/functions/funcselectdb.php";
include "common/functions/funcdeletedb.php";
include "common/functions/funcauthen.php";

if (!authen())
{ header ("location: login.php");
		}
else
{ $idgroup=$_GET['idgroup'];
		$konfirmasi=isset($_GET['konfirmasi']) ? $_GET['konfirmasi'] : NULL;
		$tablename=$db_appusergroups;
		$fieldArray=array("usergroupname");
		$condition="usergroupid='".mysqli_real_escape_string($dbConnection, $idgroup)."'";
		$orderArray=array();
		$orderrule="";
		$limit="";
		if ($konfirmasi=="")
		{ // Group name
				$selectdb=simpleselect($tablename, $fieldArray, $condition, $orderArray, $orderrule, $limit);
				$groupdata=mysqli_fetch_array($selectdb);
				$groupname=$groupdata['usergroupname'];
				$msg="Anda yakin ingin menghapus group ".$groupname."?<br><br>";
				$msg.="<input type='button' value=' Hapus ' onclick=\"document.location='user_group_delete.php?idgroup=".$idgroup."&konfirmasi=ok&menuid=".$_GET['menuid']."'\"> &nbsp;  ";
				$msg.="<input type='button' value=' Batal ' onclick='history.back(-1)'>";
				$resultstatus="Konfirmasi";
				}
		else
		{ $delete=simpledelete($tablename, $condition);
				$logdesc="HAPUS GROUP PENGGUNA #".$idgroup;
				include "logakses.php";
				if ($delete)
				{ $tablename2=$db_appauthorization;
						$condition2="usergroupid='".mysqli_real_escape_string($dbConnection, $idgroup)."'";
						$delete2=simpledelete($tablename2, $condition2);
						$msg="Menghapus data dan hak akses group sukses.";
						}
				else
				{ $msg="Menghapus data dan hak akses group gagal.<br><br>".$linkback;
								}
				}		

		$qq="SELECT a.appmenuname, b.parentmenuname FROM $db_appmenus a, $db_parent_menus b ";
		$qq.="WHERE a.appmenuid='".mysqli_real_escape_string($dbConnection, $_GET['menuid'])."' AND b.parentmenuid=a.parentid";
		$rr=mysqli_query($dbConnection, $qq);
		$dd=mysqli_fetch_array($rr);

		$content="<table border='0' cellpadding='6px' cellspacing='0' width='100%'>
													<tr>
														<td align='left' valign='top' width='100%'>
															<b class='title'>".$dd['parentmenuname']." &gt; ".$dd['appmenuname']."</b>
															<br><hr size='1' color='#000000'><br>
															<table border='0' cellpadding='0' cellspacing='0'>
																<tr>
																	<td align='left' valign='top' width='45%'>
																		".$msg."
																		<br><br><br>
																	</td>
																</tr>
															</table>		
														</td>
													</tr>
												</table>
												";
		
		include "webmenu.php";
		include "common/include/template.php";
		$temp=new template;
		$temp->define_theme("themes/theme1.html");
		$temp->define_tag("{PAGETITLE}", $namaaplikasi);
$temp->define_tag("{NAMAUSER}", strtoupper($_SESSION['SES_FULLNAME']));
		$temp->define_tag("{APPMENU}", $webmenu);
		$temp->define_tag("{APPCONTENT}", $content);
		$temp->parse();
		$temp->printproses();
		}

closeDB();

?>